<template>
    <v-layout>
        <v-flex xs12>
            <slot name="header">
                <v-toolbar dark color="primary">
                    <v-toolbar-title>{{title}}</v-toolbar-title>
                    <v-spacer></v-spacer>
                    <v-tooltip top>
                        <v-btn
                                icon
                                large
                                target="_blank"
                                slot="activator"
                        >
                            <v-icon large>{{icon}}</v-icon>
                        </v-btn>
                        <span>{{title}}</span>
                    </v-tooltip>
                </v-toolbar>
            </slot>
            <v-card>
                <v-card-title primary-title>
                    <div>
                        <slot name="descr">
                            {{descr}}
                        </slot>
                    </div>
                </v-card-title>

                <v-layout justify-center align-center>
                    <v-flex xs10>
                        <slot name="body"></slot>
                    </v-flex>
                </v-layout>
                <v-card-actions>
                    <v-layout justify-center align-center>
                        <slot name="actions">
                        </slot>
                    </v-layout>
                </v-card-actions>
            </v-card>
        </v-flex>
    </v-layout>
</template>

<script>
    export default {
        name: "Card",
        props: {
            icon: {
                type: String,
                default: 'fa-user'
            },
            descr: String,
            title: String,
        },
        data() {
            return {}
        }
    }
</script>

<style scoped>

</style>